<template>
  <fieldset>
    <TextInputFloatingLabel for="videoUrl" :text="t('Video URL')">
      <input
        type="url"
        name="videoUrl"
        id="videoUrl"
        placeholder="https://www.youtube.com/watch?v=P4ISiUlIKrs"
        :value="currentSettings.videoUrl"
        required
      />
    </TextInputFloatingLabel>
    <CheckboxBorderedLabel for="loop" :text="t('Loop video')">
      <input type="checkbox" name="loop" id="loop" :checked="currentSettings.loop" />
    </CheckboxBorderedLabel>
  </fieldset>
</template>

<script>
module.exports = {
  name: "video_player",
  props: {
    currentSettings: {
      type: Object,
      required: true,
    },
    locale: {
      type: String,
      required: true
    }
  },
  locales: {
    deDe: { "Video URL": "URL des Videos" },
    frFr: { "Video URL": "URL de la vidéo" },
    esEs: { "Video URL": "URL del vídeo" },
    plPl: { "Video URL": "URL wideo" },
    koKr: { "Video URL": "동영상 URL" }
  }
};
</script>
<style scoped>
/* your styles here */
</style>
